Documentation menu

API Reference

Public: Waitlist

HiveScale pre-launch waitlist signup + confirmation

POST /api/public/waitlist

Join the HiveScale waitlist (sends a confirmation email)

Request body

application/json
{
  "email": "string",
  "source": "string"
}

Responses

  • 200 OK
  • 400 Bad Request

Request

~
curl -X POST https://api.hivescale.dev/api/public/waitlist \
  -H "X-Hive-Api-Key: $HIVE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"email":"string","source":"string"}'
HttpClient client = HttpClient.newHttpClient();

String body = "{\"email\":\"string\",\"source\":\"string\"}";

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://api.hivescale.dev/api/public/waitlist"))
    .header("X-Hive-Api-Key", apiKey)
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString(body))
    .build();

HttpResponse<String> response =
    client.send(request, HttpResponse.BodyHandlers.ofString());
GET /api/public/waitlist/confirm

Confirm a waitlist signup from the emailed link

Parameters

  • token string query

Responses

  • 200 OK

Request

~
curl -X GET https://api.hivescale.dev/api/public/waitlist/confirm?token=value \
  -H "X-Hive-Api-Key: $HIVE_API_KEY"
HttpClient client = HttpClient.newHttpClient();

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://api.hivescale.dev/api/public/waitlist/confirm?token=value"))
    .header("X-Hive-Api-Key", apiKey)
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();

HttpResponse<String> response =
    client.send(request, HttpResponse.BodyHandlers.ofString());